Add new preferences search icons
ClosedPublic

Authored by astippich on Oct 26 2019, 9:39 AM.

Details

Summary

Add a new icon for usage with the system-settings "search" category,
which currently uses the baloo icon

Diff Detail

Repository
R266 Breeze Icons
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
astippich created this revision.Oct 26 2019, 9:39 AM
Restricted Application added a project: Frameworks. · View Herald TranscriptOct 26 2019, 9:39 AM
Restricted Application added a subscriber: kde-frameworks-devel. · View Herald Transcript
astippich requested review of this revision.Oct 26 2019, 9:39 AM


Basically the icon from D24957 without the paw

bruns added a subscriber: bruns.Oct 26 2019, 2:48 PM

Thats the "top level" icon, with "Krunner" and "File Search" (aka Baloo) below, correct?

This revision is now accepted and ready to land.Oct 26 2019, 5:44 PM

Yes, that is the plan

trickyricky26 requested changes to this revision.Oct 26 2019, 10:17 PM
trickyricky26 added a subscriber: trickyricky26.

On the technical side, we usually convert everything to paths, and even though I can't imagine Qt SVG Renderer would have a problem with circle, it might be better to convert the background to a path.

As for the design, I think this can be improved. My suggestion would basically be to use the magnifying glass from the Kfind icon, which IMO fits better with Breeze because of the thinner lines and the longer handle, which make the symbol feel more balanced.
Additionally, maybe you could try adding the Breeze-typical 45° shadow, which is usually used in these symbol-on-background icons, although it might not look right with the magnifying glass extending in the same direction.

Overall I think this will be a nice addition.

This revision now requires changes to proceed.Oct 26 2019, 10:17 PM
ndavis added a subscriber: ndavis.EditedOct 27 2019, 7:11 AM

On the technical side, we usually convert everything to paths, and even though I can't imagine Qt SVG Renderer would have a problem with circle, it might be better to convert the background to a path.

I don't think this matters. Usually, it's strokes that need to be converted to paths because otherwise they appear jagged for whatever reason. I usually convert circles to paths, but that's mainly because circles often cause Inkscape to crash when undoing and redoing changes to them.

New proposal

However, I am not a fan of the shadow. It is barely visbile anyways at such small sizes, and it looks weird with the handle

All of our other icons that consist of a white symbol in a blur circle have the shadow, so it's probably best to at least be consistent. If we decided we don't like the shadow, we should remove them from all of these icons at once.

astippich updated this revision to Diff 68979.Oct 29 2019, 2:43 PM
  • modified icon with shadow

Better now @trickyricky26?

I do think the new version looks better, more because of the nicer proportions of the magnifying glass than the shadow.

I think it's not optimal to add another symbol-on-single-color-circle icon, in addition to the bluetooth, user, accessibility etc. icons. It would be nice to have a more distinctive icon for this, but I don't have any concrete ideas for such a design. The previous icon for this was the magnifying glass on a file, but perhaps this isn't quite accurate here as the KCM deals with Baloo as well as krunner, which does more than only search for files.

In any case, I would try making the symbol have 1px thickness to match the other similar preferences icons, perhaps even copy the symbol directly from the old symbol-on-file icon.

This is a scaled copy of the kfind magnifier glass. However, it was way too small to be directly usable imho

What do you think of this? The symbol with 1px lines.


I thought this might look nicer, but it is too thin IMO.

In your current icon, the shadow is a bit off, the upper edge isn't quite 45° and it doesn't originate exactly from the circle. I can fix these tiny details if you like.

I also think that this is too thin.
If you'd like to do the updates, please go ahead! You can do it much better than me I think

astippich updated this revision to Diff 69500.Nov 9 2019, 7:53 AM
  • tweak shadows

any more comments?

ngraham accepted this revision.Wed, Nov 13, 8:50 PM

LGTM, let's try not to torture this icon to death. :)

trickyricky26 accepted this revision.Wed, Nov 13, 9:21 PM

Sorry, I kind of forgot about this revision.
But looks all good now!

This revision is now accepted and ready to land.Wed, Nov 13, 9:21 PM
bruns accepted this revision.Thu, Nov 14, 3:33 PM
This revision was automatically updated to reflect the committed changes.